#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#

__version__ = "0.0.4.5 build 20180315.214231"

import os

def fileFind_fun(source_path="", dir_count=0): #定义 "文件查找" 函数
    count = 0 #初始 "计数"
    for root_dir, dir_list, file_list in os.walk(source_path): #迭代 "指定路径" 走查 "生成器"
        count += 1 #原位递增 "计数"
        for file_name in file_list: #迭代 "文件列表"
            print("    [%d] __ %s/%s" %(count, root_dir.replace("\\", "/"), file_name)) #打印 "提示信息"
        if dir_count and dir_count == count: #若 "目录计数" 非零，且 "目录计数" == "计数"
            break

if __name__ == "__main__": #若 "名称" 特殊属性 = "__main__" 字符
    fileFind_fun(source_path=os.getcwd().replace("\\", "/").rsplit("/", 2)[0], dir_count=2) #调用 "文件查找" 函数

    print("    %s" %("*** Separator ***")) #打印 "提示信息"
    print("    %s" %(u"*** 分隔符 ***")) #打印 "提示信息"
    print("    %s" %(repr("*** 分隔符 ***"))) #打印 "提示信息"
    print("    %s" %(repr(u"*** 分隔符 ***"))) #打印 "提示信息"

    fileFind_fun(source_path=os.getcwd().replace("\\", "/").rsplit("/", 2)[0], dir_count=1) #调用 "文件查找" 函数

